﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class gameManager : MonoBehaviour {
	public playerManager scout;
	public sniperManager snipe;
	public List<enemyManager> enemies;

	// Use this for initialization
	void Awake () {
		enemies = new List<enemyManager>();
		scout = GameObject.Find ("Scout").GetComponent<playerManager> ();
		snipe = GameObject.Find ("SniperSpot").GetComponent<sniperManager> ();
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetKeyDown(KeyCode.Alpha2)){
			foreach( enemyManager enim in enemies){
				if(!enim.tagged){
					enim.gameObject.renderer.enabled = false;
					enim.GetComponent<Light>().enabled = false;
				}
			}
			scout.enabled = false;
			snipe.enabled = true;
		}
		else if(Input.GetKeyDown(KeyCode.Alpha1)){
			foreach(enemyManager enim in enemies){
				enim.gameObject.renderer.enabled = true;
				enim.GetComponent<Light>().enabled = true;
			}
			scout.enabled = true;
			snipe.enabled = false;
		}
	}
}
